#ifndef MARS_MTriggerBit
#define MARS_MTriggerBit

#ifndef MARS_MCamEvent
#include "MCamEvent.h"
#endif
#ifndef MARS_MParContainer
#include "MParContainer.h"
#endif 

#ifndef ROOT_TArrayL
#include <TArrayL.h>
#endif

class MTriggerBit : public MParContainer, public MCamEvent
{
    friend class MReportTrigger;

private:
    Byte_t  fStatus;        // Monitor of the L2T status
    
    Int_t gsNBits=16;        // number of output bits

    TArrayL fBit; // Array with the prescaling factors

public:
    MTriggerBit() : fBit(gsNBits)  
    {
        fName  = "MTriggerBit";
        fTitle = "Container for the L2 output bits rates ";
    }

    Bool_t GetPixelContent(Double_t &val, Int_t idx, const MGeomCam &cam, Int_t type=0) const
    {
      if (idx > gsNBits)
	return kFALSE;

      val = fBit[idx];	

      return val>0;
    }

    Double_t operator[](const UInt_t idx) 
      {  
	if (idx > gsNBits)
	  return kFALSE;
	
	return fBit[idx]; 
      }

    void DrawPixelContent(Int_t num) const
    {
    }

    ClassDef(MTriggerBit, 1) // Container for the L2 output bits rates
};

#endif
